
@font-face {
  font-family: 'google-noto';
  src: url('/data/font/NotoSansTC-Regular.otf');
}

:root{
  --swiper-pagination-color:white;
  --primary-color:#f9b61f;
  --primary-color-dark:#e07326;
  --default-text-color:#545454;
}

body{
  margin: 0px;
  font-family: 'google-noto';
}

p{
  text-indent: 3em;
}

data{
  display: none;
}

.date{
  text-indent: 0em;
}

.banner{
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 60px;
    color: var(--default-text-color);
    background-color: white;
    z-index: 99;
    display: flex;
    align-items: center;
    font-family: auto;
}

.banner h2{
  display: inline-block;
}

.banner .title-1{
  width: 32%;
  padding-left: 20px;
}

.platform-filters{
  margin-left: auto;
  display: flex;
  margin-right: 50px;
}

.platform-filters .radio{
  margin-left: 10px;
}

.platform-filters .radio input[type=radio]{
  display: none;
}

.platform-filters .radio span{
  display: inline-block;
  border-radius: 99px;
  border: solid 1px var(--default-text-color);
  color: var(--default-text-color);
  padding: 5px 12px;
  }

.platform-filters .radio input[type=radio]:checked + span{
  border-color: var(--primary-color);
  background-color: var(--primary-color);
  color: white;
}


.banner-collections{
  display: none;
  color: var(--default-text-color);
  width: 100%;
  background-image: linear-gradient(182.2deg, transparent 39px, white 40px);
  margin-top: -40px;
  z-index: 0;
  padding-bottom: 0px;
  padding-top: 18px;
}

.banner-collections h2{
  width: 100%;
  text-align: center;
  padding: 20px 0px 10px;
  margin: 0px;
}

.banner-collections-2{
  display: none;
  width: 100%;
  background-image: linear-gradient(-0.6deg,
     transparent 35px,var(--primary-color) 36px,
     var(--primary-color) 79px, white 80px);
  z-index: 0;
  height: 80px;
}

.banner-collections-2 .platform-filters{
  margin:12px auto 0px;
}

@media only screen and (max-width:768px) {
  .banner-collections-2 .platform-filters{
    margin-top:11px;
  }
}
@media only screen and (max-width:767px) {
  .banner-collections-2 .platform-filters{
    margin-top:9px;
  }
}

.banner-collections-2 .platform-filters .radio span{
  border: solid 1px white;
  color: white;
}

.banner-collections-2 .platform-filters .radio input[type=radio]:checked + span{
  background-color: white;
  color: var(--primary-color);
}

.container{
  display: flex;
  position: absolute;
  top: 60px;
  left: 0px;
  bottom: 0px;
  right: 0px;
}

.block-introduce{
  background-image: url("/data/img/introduce_background.jpg");
  background-size: cover;
  background-position: center;
  position: relative;
  width: 35%;
  min-width: 360px;
  z-index: 0;
}

.block-introduce .overlay{
  position: absolute;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  background-color: black;
  opacity: 0.55;
  z-index: -1;
}

@media only screen and (max-width:1024px) {
  body{
    background-image: url("/data/img/block-works-background-phone.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
  }
  .banner .title-1{
    width: 100%;
    padding-left: 0px;
    text-align: center;
  }
  .banner .title-2,.banner .platform-filters{
    display: none;
  }
  .block-introduce{
    width: 100%;
    min-width: inherit;
  }
  .container{
    flex-wrap: wrap;
  }

  .banner-collections , .banner-collections-2{
    display: inherit;
  }

}

.block-works{
  background-image: url("/data/img/block-works-background.png");
  background-size: cover;
  background-attachment: scroll;
  position: relative;
  margin-left: -110px;
  width: 100%;
  overflow-y: auto;
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
  }

  .block-works::-webkit-scrollbar {
    display: none;
  }



@media only screen and (max-width:1024px) {
  .block-works{
    margin-left: 0px;
    background-image:none;
    width: 100%;
    background-attachment: fixed;
  }
}

.block-introduce .info-container{
  color: white;
    z-index: auto;
    margin: 80px 120px 20px 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-wrap: nowrap;
    text-align: center;
}

@media only screen and (max-width:1024px) {
  .block-introduce .info-container{
    margin: 50px 20px 80px;
  }
}

.info-container .photo{
  background-image: url("/data/img/my_photo.jpg");
  background-size: cover;
  background-position: center;
  background-position-y:-10px;
  width: 200px;
  height: 200px;
  border-radius: 999px;
  background-color: white;
  border:solid 2px white;
}

.info-container .title{
  font-size: 36px;
  margin-top: 15px;
}
span.underline{
  background-color: white;
  display: block;
  width: 100%;
  height: 1px;
}

.info-container .subtitle{
  font-size: 26px;
  margin-top: 15px;
}

.info-container .des{
  margin-top: 12%;
  font-size: 16px;
}

.works-container{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin: 50px 50px 50px 130px;
  justify-content: space-between;
  padding-bottom: 25px;
}

.works-container .item{
  position: relative;
  cursor: pointer;
  margin-bottom: 30px;
  width: 48%;
  height: 240px;
  border-radius: 5px;
  border: solid 5px #333333bd;
  background-color: #333333bd;
  color: white;
  display: flex;
}

.works-container .item.hover-in{
  border-color: var(--primary-color);
  background-color: var(--primary-color);
  animation-name: work-hover-in-anime;
  animation-duration: 0.5s;
}

.works-container .item.hover-out{
  animation-name: work-hover-out-anime;
  animation-duration: 0.5s;
}

@keyframes work-hover-in-anime{
  from{
    border-color: #333333bd;
    background-color: #333333bd;
  }
  to{
    border-color: var(--primary-color);
    background-color: var(--primary-color);
  }
}

@keyframes work-hover-out-anime{
  to{
    border-color: #333333bd;
    background-color: #333333bd;
  }
  from{
    border-color: var(--primary-color);
    background-color: var(--primary-color);
  }
}

.works-container .item .logo{
  aspect-ratio: 1;
  height: 240px;
  background-color: white;
  object-fit: cover;
  object-position: center;
  border-radius: 5px;
}

.works-container .item .body{
  display: inline-block;
  height: 100%;
  width:100%;
  margin-left: 15px;
  overflow-y: auto;
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

.works-container .item .body::-webkit-scrollbar {
    display: none;
}

.works-container .item .mobile-des{
    display: none;
    width: 100%;
}

@media only screen and (max-width:1024px) {
  .works-container{
    margin: 20px;
  }
  .works-container .item{
    border-color: var(--primary-color);
    background-color: var(--primary-color);
    height: 180px;
  }
  .works-container .item .logo{
    height: 180px;
  }
  .works-container .item .body{
    width: calc(100% - 190px);
  }

  .works-container .item.hover-in{
    animation:none;
  }

  .works-container .item.hover-out{
    animation:none;
  }

}

@media only screen and (max-width:768px) {
  .works-container .item{
    width: 100%;
  }
}
@media only screen and (max-width:765px) {
  .banner-collections {
    background-image: linear-gradient(185deg, transparent 39px, white 40px);
  }
  .works-container .item{
    height: min-content;
    flex-wrap: wrap;
    align-items: center;
  }
  .works-container .item .logo{
    height: 150px;
  }
  .works-container .item .body{
    width: calc(100% - 170px);
  }
  .works-container .item .body .title{
    font-size: 26px;
    margin: 0px;
  }
  .works-container .item .body .des{
    display: none;
  }
  .works-container .item .mobile-des{
    display: block;
  }
}

.divider{
	width: 100%;
	height: 1px;
	background-color: white;
	margin: 5px 0px;
}

.lightbox{
  display: none;
  position: fixed;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
}

.lightbox .overlay {
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  z-index: 10;
  background-color: black;
    opacity: 0.5;
}

.lightbox .lightbox-box{
  position: relative;
  padding: 10px;
  margin: auto;
  z-index: 15;
  width: 60%;
  top: 100px;
  height: calc(100% - 150px);
  border-radius: 15px;
  background-color: var(--primary-color);
  color: white;
}
.lightbox-box .title{
  padding: 10px;
  font-size: 28px;
}
.lightbox-box .swiper{
  height: 52%;
}

.lightbox-box .detail{
  padding: 0px 10px;
  overflow-y: auto;
  height: 33%;
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

.lightbox-box .detail::-webkit-scrollbar {
    display: none;
}

@media only screen and (max-width:768px) {
  .lightbox .lightbox-box{
      width: 90%;
    }
}

.lightbox img.swiper-slide{
  background-color: #00000024;
  object-fit: contain;
}

.lightbox.show{
  display: block;
  animation-name: fade-in;
  animation-duration: 0.3s;
}
.lightbox.hide{
  opacity: 0;
  animation-name: fade-out;
  animation-duration: 0.3s;
}

@keyframes fade-in {
  from{
    opacity: 0;
  }
  to{
    opacity: 1;
  }
}
@keyframes fade-out {
  from{
    opacity: 1;
  }
  to{
    opacity: 0;
  }
}

.swiper-button-next, .swiper-button-prev{
  color: white;
  border-radius: 10px;
  width: 45px;
  padding: 10px;
}

.swiper-button-next:hover, .swiper-button-prev:hover{
  background-color: #000000bb;
  animation-name: btn-hover;
  animation-duration: 0.3s;
}

@keyframes btn-hover {
  from{
    background-color: transparent;
  }
  to{
    background-color: #000000bb;
  }
}

.swiper-button-next:after, .swiper-button-prev:after{

}

@media only screen and (max-width:1024px) {
  .swiper-button-next, .swiper-button-prev{
      display: none;
  }
}

.footer{
  position: fixed;
  bottom: 0px;
  left: 0px;
  right: 0px;
  text-align: right;
  padding: 18px 26px;
  background-color: #2c2d2df7;
}
.footer a.contact{
  color:white;
  background-color: var(--primary-color);
  border-radius: 5px;
  padding: 12px 15px;
  font-size: 18px;
  text-decoration: none;
}

@media only screen and (max-width:768px) {
  .footer{
    text-align: center;
  }
}

.contact-container{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin: 50px auto 100px;
  width: 60%;
  justify-content: space-between;
  padding-bottom: 25px;
  color: white;
}

a.back , button.back{
  color:white;
  background-color: #7d7d7d;
  border-radius: 5px;
  padding: 8px 15px;
  font-size: 18px;
  text-decoration: none;
  cursor: pointer;
  border:0px;
}

input[type=text],input[type=password],textarea{
  border-radius: 5px;
  background-color: white;
  border: solid 1px var(--default-text-color);
  color: var(--default-text-color);
  padding: 10px 18px;
}

textarea{
  resize: none;
}

input[type=text]:focus,input[type=password]:focus,textarea:focus{
  border-color: var(--primary-color);
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(249 182 31 / 60%);
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(249 182 31 / 60%);
}

input[type=text].error,input[type=password].error,textarea.error{
  border-color: #fb4646;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(251 70 70 / 60%);
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(251 70 70 / 60%);
}

.contact-form{
  margin-top: 30px;
  flex-basis: 100%;
  font-size: 18px;
}

.input-group{
  position: relative;
  margin: 25px auto;
  display: flex;
  align-items: baseline;
}

.input-group label{
  flex-basis: 120px;
}

.input-group input,.input-group textarea{
  flex-grow: 1;
}

.input-group textarea{
  height: 200px;
}

.input-group div.error{
  position: absolute;
  color: #fb4646;
  bottom: 7px;
  right: 7px;
}

.submit-box{
  display: flex;
  align-items: stretch;
  flex-direction: row;
  justify-content: flex-end;
}

.submit-box #submit,button[type=submit]{
  border-width: 0px;
  margin-left: 5px;
  color:white;
  background-color: var(--primary-color);
  border-radius: 5px;
  padding: 12px 15px;
  font-size: 18px;
  cursor: pointer;
}

.submit-box #submit:disabled,button[type=submit]:disabled{
  background-color: #8d8d8d;
  cursor: not-allowed;
}

@media only screen and (max-width:768px) {
  .contact-container{
    margin: 50px auto 10px;
    width: 85%;
  }

  .submit-box{
    flex-direction: column;
    justify-content: normal;
    align-items: flex-end;
  }
  .submit-box #submit{
    margin-left: 0px;
    margin-top: 10px;
  }

  .input-group{
    flex-wrap: wrap;
  }

  .input-group textarea{
    flex-basis: 100%;
  }
}

@media only screen and (max-width:320px) {
  .g-recaptcha{
    max-width: 280px;
    transform: scale(0.85);
  }
}

.msg-container{
  position: relative;
  width: 80%;
  max-width: 800px;
  border-radius: 10px;
  background-color: var(--primary-color);
  margin: 120px auto;
  color: white;
  text-align: center;
  padding: 10px 0px 50px;
  z-index: 20;
}

.msg-container .title{
  margin:10px 0px 30px;
}

.msg-container .icon{
  margin: 10px 0px;
  font-size: 50px;
  color: #fb4646;
}

.msg-container .msg{
  font-size: 24px;
  padding: 10px;
}

.login-container{
    margin: 100px auto;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 85%;
    max-width: 400px;
    color: white;
}

.login-container form{
    background-color:var(--primary-color-dark);
    border-radius: 10px;
    padding: 20px;

    width: 100%;
}

.login-container .msg{
    color: red;
    font-size: 18px;
}
.login-container form .input-group label{
  flex-basis: 60px;
}

.login-container form .input-group input{
  border: 0px;
}

.login-container form button[type=submit]{
    width: 100%;
}
